//{block name="backend/post_plugin_configuration/model/post_label_order_data"}
Ext.define('Shopware.apps.Order.PostLabels.model.PostLabelOrderOptions',{
    extend: 'Ext.data.Model',
    fields: [
        { name: 'currency', type: 'string' },
        { name: 'invoiceAmount', type: 'string' },
    ],

    associations: [
        { type: 'hasMany', model: 'Shopware.apps.Order.PostLabels.model.PostLabelReturnPath', name: 'returnPaths'},
        { type: 'hasMany', model: 'Shopware.apps.Order.PostLabels.model.PostLabelReturnOption', name: 'returnOptions'},
    ],

    proxy: {
        type: 'ajax',
        api: {
            read: '{url controller="postPluginConfiguration" action="loadOrderData"}',
        },
        reader: {
            type: 'json',
            root: 'data'
        }
    }
});

Ext.define('Shopware.apps.Order.PostLabels.model.PostLabelReturnPath',{
    extend: 'Ext.data.Model',
    belongsTo: 'Shopware.apps.Order.PostLabels.model.PostLabelOrderData',
    fields: [
        // { name: 'id', type : 'int' },
        { name: 'name', type: 'string' },
    ]
});

Ext.define('Shopware.apps.Order.PostLabels.model.PostLabelReturnOption',{
    extend: 'Ext.data.Model',
    belongsTo: 'Shopware.apps.Order.PostLabels.model.PostLabelOrderData',
    fields: [
        // { name: 'id', type : 'int' },
        { name: 'name', type: 'string' },
    ]
});




//{/block}
