//{block name="backend/post_plugin_configuration/model/post_label_order_data"}
Ext.define('Shopware.apps.Order.PostLabels.model.PostLabelOrderData',{
    extend: 'Ext.data.Model',
    fields: [
        { name: 'currency', type: 'string' },
        { name: 'invoiceAmount', type: 'string' },
        { name: 'shopId', type: 'string' },
        { name: 'shippingSetName', type: 'string' },
        { name: 'options', type: 'string' },
        { name: 'availableCountries', type: 'string' },
        { name: 'availableCurrencies', type: 'string' },
    ],

    associations: [
        { type: 'hasMany', model: 'Shopware.apps.Order.PostLabels.model.PostLabelOrderArticle', name: 'articles'},
        { type: 'hasMany', model: 'Shopware.apps.Order.PostLabels.model.PostLabelPackage', name: 'packageData'},
        { type: 'hasMany', model: 'Shopware.apps.Order.PostLabels.model.PostLabelOrderAddress', name: 'address'},
    ],

    proxy: {
        type: 'ajax',
        api: {
            read: '{url controller="postPluginConfiguration" action="loadOrderData"}',
        },
        reader: {
            type: 'json',
            root: 'data'
        }
    }
});

Ext.define('Shopware.apps.Order.PostLabels.model.PostLabelPackage',{
    extend: 'Ext.data.Model',
    belongsTo: 'Shopware.apps.Order.PostLabels.model.PostLabelOrderData',
    fields: [
        // { name: 'id', type : 'int' },
        { name: 'weight', type: 'string' },
    ]
});

Ext.define('Shopware.apps.Order.PostLabels.model.PostLabelOrderAddress',{
    extend: 'Ext.data.Model',
    belongsTo: 'Shopware.apps.Order.PostLabels.model.PostLabelOrderData',
    fields: [
        // { name: 'id', type : 'int' },
        { name: 'salutation', type: 'string' },
        { name: 'street', type: 'string' },
        { name: 'city', type: 'string' },
        { name: 'zip', type: 'string' },
        { name: 'phone', type: 'string' },
        { name: 'firstName', type: 'string' },
        { name: 'lastName', type: 'string' },
        { name: 'email', type: 'string' },
        { name: 'country', type: 'string' },
        { name: 'additionalAddressLine1', type: 'string' },
        { name: 'additionalAddressLine2', type: 'string' },
    ]
});

Ext.define('Shopware.apps.Order.PostLabels.model.PostLabelOrderArticle',{
    extend: 'Ext.data.Model',
    belongsTo: 'Shopware.apps.Order.PostLabels.model.PostLabelOrderData',
    fields: [
        // { name: 'id', type : 'int' },
        { name: 'packageNumber', type: 'string' },
        { name: 'articleNumber', type: 'string' },
        { name: 'name', type: 'string' },
        { name: 'quantity', type: 'string' },
        { name: 'price', type: 'string' },
        { name: 'weight', type: 'string' },
	{ name: 'hSTariffNumber', type: 'string' },
	{ name: 'originCountry', type: 'string' },

    ]
});


//{/block}
