//{block name="backend/order/post_labels/view/detail/modal/PostLabelsDocumentCustomsDataWindow"}
Ext.define('Shopware.apps.Order.PostLabels.view.detail.modal.PostLabelsDocumentCustomsDataWindow', {
    extend: 'Enlight.app.Window',
    cls: 'shopware-form',
    alias: 'widget.order-post_labels-document-customsduty-data-window',
    title: 'Zolldaten anpassen',
    width: 800,
	    bodyPadding: 10,

    footerButton: false,
    minimizable: false,
    maximizable: false,
    draggable: true,
    height: 400,
    stores: [],

    constructor: function() {
        var me = this;

        me.callParent(arguments);
        me.height = undefined;
    },

    initComponent: function() {
        var me = this;
        var documentList = Ext.ComponentQuery.query('#documentList');
        var documentStore = documentList[0].getStore();
        me.customsForm = Ext.create('Shopware.apps.Order.PostLabels.view.detail.modal.PostLabelsDocumentCustomsdutyData', {
            orderDataStore: me.orderDataStore,
            documentStore: documentStore,
            index: me.index,
            record: me.record
        });

        me.dockedItems = [{
            xtype: 'toolbar',
            dock: 'bottom',
            ui: 'shopware-ui',
            cls: 'shopware-toolbar',
            items: me.getDockedItems()
        }];
        me.items = [ me.customsForm ];

        me.callParent(arguments);
    },

    saveCustomsData: function(record) {
        var me = this;
        if(!me.customsForm) {
            return false;
        }
        var values =  me.customsForm.getValues();

        var documentTypes = '';
        var customsOptions = '';
        var documentNumbers = '';
	
        me.customsForm.documentDetailList.getStore().each(function(record) {
            if(!documentTypes) {
                documentTypes = record.get('documentType');
            } else {
                documentTypes  = documentTypes + ',' + record.get('documentType');
            }
            if(!customsOptions) {
                customsOptions = record.get('customsOption');
            } else {
                customsOptions  = customsOptions + ',' + record.get('customsOption');
            }

            if(!documentNumbers) {
                documentNumbers = record.get('documentNumber');
            } else {
                documentNumbers  = documentNumbers + ',' + record.get('documentNumber');
            }

        });

        record.set('customsDescription',  values.customsDescription);
        record.set('returnOption',  values.returnOption);
        record.set('returnWay',  values.returnWay);

        record.set('documentType',  documentTypes);
        record.set('documentNumber',  documentNumbers);
        record.set('customsOption',  customsOptions);
        me.close();
    },

    getDockedItems: function() {
        var me = this,
            dockedItems = [ '->' ];

        var addCustomsPackage = Ext.create('Ext.button.Button', {
            text: 'Speichern',
            scope: me,
            cls: 'primary',
            handler:function () {
                me.saveCustomsData(me.record);
            }
        });
        dockedItems.push(addCustomsPackage);

        return dockedItems;
    },

});
//{/block}
