//{block name="backend/order/post_labels/view/detail/modal/PostLabelsDocumentPackageData"}
Ext.define('Shopware.apps.Order.PostLabels.view.detail.modal.PostLabelsDocumentPackageData', {
    extend: 'Ext.form.Panel',
    cls: 'shopware-form',
    alias: ' widget.order-post_labels-document-package-data-panel',
    border: false,
	    maxHeight: 100,

    bodyPadding: '10 10 0 10',
    defaults: {
        anchor: '100%'
    },
    initComponent: function () {
        var me = this;
        me.store = me.orderDataStore;
        me.store.load(
            {
                callback: function (records, operation, success) {
                    me.loadRecord(records[0]);
                },
            }
        );
        me.items = me.createContainer();
        me.callParent(arguments);

    },

    createContainer: function () {
        var leftContainer, rightContainer, me = this;

        leftContainer = Ext.create('Ext.container.Container', {
            columnWidth: 0.5,
            border: false,
            layout: 'anchor',
            defaults: {
                anchor: '100%',
                labelWidth: 155,
                labelStyle: 'font-weight: 700;',
                style: {
                    margin: '0 15px 10px 15px'
                },
                store: me.store,
                xtype: 'textfield',
                allowBlank: false
            },
            items: me.createLeftElements()
        });


        var topFieldSet = Ext.create('Ext.form.FieldSet', {
            layout: 'column',
            bodyPadding: 5,
            columnWidth: 1,
            stateful: true,
            title: 'Paketdaten',
            items: [leftContainer]
        });


        return [topFieldSet];
    },

    createLeftElements: function () {
        var me = this;
        var additionalOptions = me.createAdditionalOptionsForm();
        return [
            {
                name: 'shippingSetName',
                fieldLabel: 'Versandprodukt',
                readOnly: true
            },
            additionalOptions
        ];
    },

    createAdditionalOptionsForm: function () {
        var me = this;
        // field as combination of checked and unchecked checkboxes
        return Ext.create('Ext.form.CheckboxGroup', {
            layout: 'anchor',
            anchor: '100%',
            vertical: true,
            listeners: {
                change: function (field, newValue) {
                    me.handleFeatureChange(field, newValue);
                }
            }
        })
    },

});
//{/block}
