//{block name="backend/order/post_labels/view/detail/modal/PostLabelsDocumentReceiverAddress"}
Ext.define('Shopware.apps.Order.PostLabels.view.detail.modal.PostLabelsDocumentReceiverAddress', {
    extend:'Ext.form.Panel',
    cls: 'shopware-form',
    alias: 'widget.order-post_labels-document-receiver-address-panel',
    border: false,
	maxHeight: 320,
	    bodyPadding: '10 10 0 10',

    defaults: {
        anchor: '100%'
    },
    initComponent: function() {
        var me = this;

        me.items = me.createContainer();
        me.orderDataStore.load({
            callback: function() {
                var order = me.orderDataStore.first();
                me.store = order.address();
                me.loadRecord(me.store.first());

            }
        });


        me.callParent(arguments);
    },

    getRowDefaults: function () {
        var me = this;
        return {
            columnWidth: 0.5,
            labelWidth: 155,
            labelStyle: 'font-weight: 700;',
            style: {
                margin: '0 15px 10px 15px'
            },
            store: me.store,
            xtype: 'textfield',
            allowBlank: false
        }
    },

    createContainer: function () {
        var row1, row2, row3, row4, row5, row6, row7, me = this;

        row1 = Ext.create('Ext.container.Container', {
            columnWidth: 1,
            border: false,
            layout: 'column',
            defaults: me.getRowDefaults(),
            items: me.createRow1Elements()
        });

        row2 = Ext.create('Ext.container.Container', {
            columnWidth: 1,
            border: false,
            layout: 'column',
            defaults: me.getRowDefaults(),
            items: me.createRow2Elements()
        });

        row3 = Ext.create('Ext.container.Container', {
            columnWidth: 1,
            border: false,
            layout: 'column',
            defaults: me.getRowDefaults(),
            items: me.createRow3Elements()
        });

        row4 = Ext.create('Ext.container.Container', {
            columnWidth: 1,
            border: false,
            layout: 'column',
            defaults: me.getRowDefaults(),
            items: me.createRow4Elements()
        });

        row5 = Ext.create('Ext.container.Container', {
            columnWidth: 1,
            border: false,
            layout: 'column',
            defaults: me.getRowDefaults(),
            items: me.createRow5Elements()
        });

        row6 = Ext.create('Ext.container.Container', {
            columnWidth: 1,
            border: false,
            layout: 'column',
            defaults: me.getRowDefaults(),
            items: me.createRow6Elements()
        });
 	row7 = Ext.create('Ext.container.Container', {
            columnWidth: 1,
            border: false,
            layout: 'column',
            defaults: me.getRowDefaults(),
            items: me.createRow7Elements()
        });

        var topFieldSet = Ext.create('Ext.form.FieldSet', {
            layout: 'column',
            bodyPadding: 5,
            columnWidth: 1,
            stateful: true,
            title: 'Sendungsadresse',
            items: [ row1, row2, row3, row4, row5, row6, row7 ]
        });


        return [topFieldSet];
    },

    createRow1Elements: function () {
        return [
            {
                name: 'salutation',
                fieldLabel: 'Anrede',
                xtype: 'combobox',
                queryMode: 'local',
                displayField: 'name',
                valueField: 'value',
                store: Ext.create('Ext.data.Store', {
                    fields: ['name', 'value'],
                    data: [
                        { name: 'Firma', value: 'company'},
                        { name: 'Herr', value: 'mr'},
                        { name: 'Frau', value: 'ms'}
                    ]
                })
            }
        ];
    },

    createRow2Elements: function () {

        return [
            {
                name: 'firstName',
                fieldLabel: 'Vorname'
            },
            {
                name: 'lastName',
                fieldLabel: 'Nachname'
            },
        ];
    },

    createRow3Elements: function () {

        return [
            {
                name: 'company',
                fieldLabel: 'Firma'
            },
            {
                name: 'department',
                fieldLabel: 'Abteilung'
            },
        ];
    },

    createRow4Elements: function () {

        return [
            {
                name: 'street',
                fieldLabel: 'Straße'
            },
            {
                name: 'city',
                fieldLabel: 'Ort'
            }
        ];
    },

    createRow5Elements: function () {
        return [
            {
                name: 'zip',
                fieldLabel: 'Postleitzahl'
            },
            {
                name: 'country',
                fieldLabel: 'Land',
            },
        ];
    },

    createRow6Elements: function () {
        return [
            {
                name:'phone',
                fieldLabel: 'Telefon'
            },
            {
                name:'email',
                fieldLabel: 'E-Mail'
            }
        ];
    },
    createRow7Elements: function () {
        return [
            {
                name:'additionalAddressLine1',
                fieldLabel: 'Addresszusatz1'
            },
            {
                name:'additionalAddressLine2',
                fieldLabel: 'Addresszusatz2'
            }
        ];
    },
});
//{/block}
