//{block name="backend/order/post_labels/view/detail/modal/PostLabelsDocumentReturnAddress"}
Ext.define('Shopware.apps.Order.PostLabels.view.detail.modal.PostLabelsDocumentReturnAddress', {
    extend:'Ext.form.Panel',
    cls: 'shopware-form',
    alias: ' widget.order-post_labels-document-return-address-panel',
    border: false,
	    bodyPadding: '10 10 0 10',
	maxHeight: 280,
    defaults: {
        anchor: '100%'
    },
    initComponent: function () {
        var me = this;
        me.store = me.returnAddressStore;
        me.items = me.createContainer();
        me.store.load(
            {
                callback: function (records, operation, success) {
                    me.loadRecord(records[0]);
                },
            }
        );

        me.callParent(arguments);
    },


    getRowDefaults: function () {
        var me = this;
        return {
            columnWidth: 0.5,
            labelWidth: 155,
            labelStyle: 'font-weight: 700;',
            style: {
                margin: '0 15px 10px 15px'
            },
            store: me.store,
            xtype: 'textfield',
            allowBlank: false
        }
    },


    loadReturnAddress: function (records, index) {
        var me = this;
        if (records.length > 0) {
            me.loadRecord(records[0]);
        }
    },

    createContainer: function () {
        var row1, row2, row3, row4, row5, row6, me = this;

        row1 = Ext.create('Ext.container.Container', {
            columnWidth: 1,
            border: false,
            layout: 'column',
            defaults: me.getRowDefaults(),
            items: me.createRow1Elements()
        });

        row2 = Ext.create('Ext.container.Container', {
            columnWidth: 1,
            border: false,
            layout: 'column',
            defaults: me.getRowDefaults(),
            items: me.createRow2Elements()
        });

        row3 = Ext.create('Ext.container.Container', {
            columnWidth: 1,
            border: false,
            layout: 'column',
            defaults: me.getRowDefaults(),
            items: me.createRow3Elements()
        });

        row4 = Ext.create('Ext.container.Container', {
            columnWidth: 1,
            border: false,
            layout: 'column',
            defaults: me.getRowDefaults(),
            items: me.createRow4Elements()
        });

        row5 = Ext.create('Ext.container.Container', {
            columnWidth: 1,
            border: false,
            layout: 'column',
            defaults: me.getRowDefaults(),
            items: me.createRow5Elements()
        });

        row6 = Ext.create('Ext.container.Container', {
            columnWidth: 1,
            border: false,
            layout: 'column',
            defaults: me.getRowDefaults(),
            items: me.createRow6Elements()
        });

        var topFieldSet = Ext.create('Ext.form.FieldSet', {
            layout: 'column',
            bodyPadding: 5,
            columnWidth: 1,
            stateful: true,
            title: 'Rücksendeadresse',
            items: [ row1, row2, row3, row4, row5, row6 ]
        });


        return [topFieldSet];
    },

    createRow1Elements: function () {
        var me = this;
        return [
            {
                name: 'addressName',
                fieldLabel: 'Absender*',
                xtype: 'combobox',
                queryMode: 'local',
                displayField: 'addressName',
                valueField: 'addressName',
                listeners: {
                    scope: this,
                    select: function (el, records, index) {
                        me.loadReturnAddress(records, index);
                    }

                },
                store: me.store
            },


        ];
    },

    createRow2Elements: function () {
        return [
            {
                name: 'salutation',
                fieldLabel: 'Anrede',
                xtype: 'combobox',
                queryMode: 'local',
                displayField: 'name',
                valueField: 'value',
                store: Ext.create('Ext.data.Store', {
                    fields: ['name', 'value'],
                    data: [
                        { name: 'Firma', value: 'company'},
                        { name: 'Herr', value: 'mr'},
                        { name: 'Frau', value: 'ms'}
                    ]
                })
            },
	{
                name: 'phone',
                fieldLabel: 'Telefon'
            }
        ];
    },

    createRow3Elements: function () {

        return [
            {
                name: 'firstName',
                fieldLabel: 'Vorname'
            },
            {
                name: 'lastName',
                fieldLabel: 'Nachname'
            },
        ];
    },

    createRow4Elements: function () {

        return [
            {
                name: 'company',
                fieldLabel: 'Firma'
            },
            {
                name: 'department',
                fieldLabel: 'Abteilung'
            },
        ];
    },

    createRow5Elements: function () {

        return [
            {
                name: 'street',
                fieldLabel: 'Straße'
            },
            {
                name: 'city',
                fieldLabel: 'Ort'
            }
        ];
    },

    createRow6Elements: function () {
        return [
            {
                name: 'zip',
                fieldLabel: 'Postleitzahl'
            },
            {
                name: 'country',
                fieldLabel: 'Land',
                readOnly: true,
                value: 'AT'
            },
        ];
    },

});
//{/block}
