//{block name="backend/order/post_labels/view/detail/modal/PostLabelsDocumentSenderBank"}
Ext.define('Shopware.apps.Order.PostLabels.view.detail.modal.PostLabelsDocumentSenderBank', {
    extend: 'Ext.form.Panel',
    cls: 'shopware-form',
    alias: ' widget.order-post_labels-document-sender-bank-panel',
    border: false,
	maxHeight: 130,
	    bodyPadding: '10 10 0 10',

    defaults: {
        anchor: '100%'
    },
    initComponent: function () {
        var me = this;
        me.store = me.senderBankStore;
        me.items = me.createContainer();
        me.store.load(
            {
                callback: function (records, operation, success) {
                    me.loadRecord(records[0]);
                },
            }
        );
        me.callParent(arguments);
    },

    createContainer: function () {
        var leftContainer, rightContainer, me = this;

        leftContainer = Ext.create('Ext.container.Container', {
            columnWidth: 0.5,
            border: false,
            layout: 'anchor',
            defaults: {
                anchor: '100%',
                labelWidth: 155,
                labelStyle: 'font-weight: 700;',
                style: {
                     margin: '0 15px 10px 15px'
                },
                store: me.store,
                xtype: 'textfield',
                allowBlank: false
            },
            items: me.createLeftElements()
        });

        rightContainer = Ext.create('Ext.container.Container', {
            columnWidth: 0.5,
            border: false,
            layout: 'anchor',
            defaults: {
                anchor: '100%',
                labelWidth: 155,
                labelStyle: 'font-weight: 700;',
                style: {
			                    margin: '0 15px 10px 15px'

                },
                store: me.store,
                xtype: 'textfield',
                allowBlank: false
            },
            items: me.createRightElements()
        });

        var topFieldSet = Ext.create('Ext.form.FieldSet', {
            layout: 'column',
            bodyPadding: 5,
            columnWidth: 1,
            stateful: true,
            title: 'Absender Bankdaten',
            items: [leftContainer, rightContainer]
        });


        return [topFieldSet];
    },

    loadSenderBank: function (records, index) {
        var me = this;
        if (records.length > 0) {
            me.loadRecord(records[0]);
        }
    },

    createLeftElements: function () {
        var me = this;
        return [
            {
                name: 'id',
                fieldLabel: 'Bankid*',
                xtype: 'combobox',
                queryMode: 'local',
                displayField: 'id',
                valueField: 'id',
                listeners: {
                    scope: this,
                    select: function (el, records, index) {
                        me.loadSenderBank(records, index);
                    }
                },
                store: me.store
            },
            {
                name: 'bankAccountOwner',
                fieldLabel: 'Kontoinhaber'
            }
        ];
    },

    updateForm: function (newValue, oldValue) {
        var me = this;

        var formComponent = me.getAddressForm();
        var addressForm = formComponent.getForm();
        addressForm.loadRecord(record);
    },

    createRightElements: function () {
        return [
            {
                name: 'bic',
                fieldLabel: 'BIC'
            },
            {
                name: 'iban',
                fieldLabel: 'IBAN'
            },

        ];
    },

});
//{/block}
