//{block name="backend/order/post_labels/view/list/list"}
Ext.define('Shopware.apps.Order.PostLabels.view.list.List', {
    override: 'Shopware.apps.Order.view.list.List',

    /**
     * By overriding this function, additional batch buttons are added to the toolbar
     * (e.g. for batch creation of shipping labels).
     *
     * @return The created toolbar containing the additional buttons.
     */
    getToolbar: function() {
        var me = this;

        // Create toolbar by calling the parent function and add the button
        var toolbar = me.callParent(arguments);
        toolbar.insert(1, me.createToolbarButton());

        return toolbar;
    },

    /**
     * By overriding this function, not only the default batch button's state is
     * toggled, but also the state custom shipping label batch buttons.
     *
     * @return The create checkbox model.
     */
    getGridSelModel: function() {
        var me = this;
        var model = me.callParent(arguments);

        model.addListener('selectionchange', function(selectionModel, selections) {
            // Unlock batch buttons, if the user has checked at least one checkbox
            if(me.postLabelBatchButton) {
                me.postLabelBatchButton.setDisabled(selections.length === 0);
            }
        });

        return model;
    },

    createToolbarButton: function() {
        var me = this;
        me.postLabelBatchButton =  Ext.create('Ext.button.Button', {
            iconCls: 'posthorn-logo-small',
            text: 'Post Label erstellen',
            disabled: true,
            handler: function () {
                var selection = me.getSelectionModel().getSelection();
                if (selection.length <= 0) return;
                me.batchWindow = Ext.create('Shopware.apps.Order.PostLabels.view.list.BatchProgressWindow', {
                    selection: selection
                }).show();

            }
        });
        return me.postLabelBatchButton;

    }
});
//{/block}
