//{block name="backend/post_plugin_configuration/model/address"}

Ext.define('Shopware.apps.PostPluginConfiguration.model.Address', {
    extend: 'Ext.data.Model',
    fields: [
        // { name: 'id', type : 'int' },
        { name: 'addressName', type: 'string' },
        { name: 'salutation', type: 'string' },
        { name: 'street', type: 'string' },
        { name: 'city', type: 'string' },
        { name: 'zip', type: 'string' },
        { name: 'phone', type: 'string' },
        { name: 'firstName', type: 'string' },
        { name: 'lastName', type: 'string' },
        { name: 'bank', type: 'string' },
        { name: 'activeShopId', type: 'string' },
        { name: 'addressType', type: 'string' },
        { name: 'contractNumbers', type: 'string' },
        { name: 'eoriNumber', type: 'string' },
        { name: 'company', type: 'string' },
        { name: 'department', type: 'string' }
    ],
    validations: [
        { name: 'addressName', type: 'pressence' },
        { name: 'salutation', type: 'pressence' },
        { name: 'street', type: 'pressence' },
        { name: 'city', type: 'pressence' },
        { name: 'zip', type: 'pressence' },
        { name: 'phone', type: 'pressence' },
        { name: 'firstName', type: 'pressence' },
        { name: 'lastName', type: 'pressence' },
        { name: 'addressType', type: 'pressence' },
        { name: 'contractNumbers', type: 'pressence' },
        { name: 'eoriNumber', type: 'pressence' },
        { name: 'company', type: 'string' },
        { name: 'department', type: 'string' }
    ],

    proxy: {
        type: 'ajax',
        api: {
            api: {
                update: '{url controller="postPluginConfiguration" action=saveAddress}',
                destroy: '{url controller="postPluginConfiguration" action=deleteAddress targetField=id}'
            },
            read: '{url controller="postPluginConfiguration" action="getAddress"}',
            create: '{url controller="postPluginConfiguration" action="saveAddress"}',
            update: '{url controller="postPluginConfiguration" action="saveAddress"}',
            destroy: '{url controller="postPluginConfiguration" action="deleteAddress"}'
        },
        reader: {
            type: 'json',
            root: 'data'
        }
    }
});
//{/block}
