//{block name="backend/post_plugin_configuration/model/bank"}
Ext.define('Shopware.apps.PostPluginConfiguration.model.Bank', {
    extend: 'Ext.data.Model',
    fields: [
        { name: 'id', type: 'string' },
        { name: 'bankAccountOwner', type: 'string' },
        { name: 'displayName', type: 'string' },
        { name: 'bic', type: 'string' },
        { name: 'iban', type: 'string' }
    ],
    validations: [
        { name: 'bankAccountOwner', type: 'presence' },
        { name: 'bic', type: 'presence' },
        { name: 'iban', type: 'presence' }
    ],

    proxy: {
        type: 'ajax',
        api: {
            api: {
                update: '{url controller="postPluginConfiguration" action=savePluginBank}'
            },
            read: '{url controller="postPluginConfiguration" action="getPluginBank"}',
            destroy: '{url controller="postPluginConfiguration" action="deleteBank"}'
        },
        reader: {
            type: 'json',
            root: 'data'
        }
    }
});
//{/block}
