//{block name="backend/post_plugin_configuration/view/detail/address_window"}
Ext.define('Shopware.apps.PostPluginConfiguration.view.detail.AddressWindow', {
    extend: 'Enlight.app.Window',
    cls: 'shopware-form',
    alias: 'widget.post_plugin_address-panel-window',
    title: 'Versand- & Rücksendeadresse',
    width: 800,
    footerButton: false,
    minimizable: false,
    maximizable: false,
    draggable: true,
    height: 400,
    stores: [],

    constructor: function() {
        var me = this;

        me.callParent(arguments);

        me.height = undefined;
    },

    initComponent: function() {
        var me = this;

        var addressForm = Ext.create('Shopware.apps.PostPluginConfiguration.view.detail.AddressForm', {
            addressStore: me.addressStore,
            subShopStore: me.subShopStore,
            bankStore: me.bankStore,
            record: me.record
        });

        me.dockedItems = [{
            xtype: 'toolbar',
            dock: 'bottom',
            ui: 'shopware-ui',
            cls: 'shopware-toolbar',
            items: me.getDockedItems()
        }];
        me.items = [addressForm];

        me.callParent(arguments);
    },

    getDockedItems: function() {
        var me = this,
            dockedItems = [ '->' ];

        var createLabelButton = Ext.create('Ext.button.Button', {
            text: 'Speichern',
            scope: me,
            cls: 'primary',
            handler:function () {
                me.fireEvent('addAddress', me.record) ;
            }
        });
        dockedItems.push(createLabelButton);

        return dockedItems;
    },

});
//{/block}
