//{block name="backend/post_plugin_configuration/view/detail/bank_form"}
Ext.define('Shopware.apps.PostPluginConfiguration.view.detail.BankForm', {
    extend: 'Ext.form.Panel',
    cls: 'shopware-form',
    alias: 'widget.post_plugin_bank-panel',
    bodyPadding: 10,
    border: false,
    defaults: {
        anchor: '100%'
    },

    initComponent: function () {

        var me = this;
        if (me.record) {
            me.store = me.bankStore;
            me.store.load();
            me.store.load({
                callback: function () {
                    me.loadRecord(me.record);
                }
            });
        }
        me.items = me.createContainer();
        me.callParent(arguments);
    },

    createContainer: function () {

        var container, me = this;
        container = Ext.create('Ext.container.Container', {
            layout: 'anchor',
            border: false,
            defaults: {
                anchor: '100%',
                labelWidth: 155,
                labelStyle: 'font-weight: 700;',
                style: {
                    margin: '0 0 10px'
                },
                xtype: 'textfield',
                allowBlank: false
            },
            items: me.createBankFormElements()
        });

        return container;
    },


    createBankFormElements: function () {
        return [
            {
                name: 'displayName',
                fieldLabel: 'Anzeigename'
            },
            {
                name: 'bankAccountOwner',
                fieldLabel: 'Kontoinhaber'
            },
            {
                name: 'bic',
                fieldLabel: 'BIC'
            },
            {
                name: 'iban',
                fieldLabel: 'IBAN'
            },
        ];
    },
});
//{/block}
