//{block name="backend/post_plugin_configuration/view/detail/bank_window"}
Ext.define('Shopware.apps.PostPluginConfiguration.view.detail.BankWindow', {
    extend: 'Enlight.app.Window',
    cls: 'shopware-form',
    alias: 'widget.post_plugin_bank-panel-window',
    title: 'Bankdaten',
    width: 800,
    footerButton: false,
    minimizable: false,
    maximizable: false,
    draggable: true,
    height: 400,
    stores: [],

    constructor: function() {
        var me = this;

        me.callParent(arguments);

        me.height = undefined;
    },

    initComponent: function() {
        var me = this;

        var bankForm = Ext.create('Shopware.apps.PostPluginConfiguration.view.detail.BankForm', {
            bankStore: me.bankStore,
            record: me.record
        });

        me.dockedItems = [{
            xtype: 'toolbar',
            dock: 'bottom',
            ui: 'shopware-ui',
            cls: 'shopware-toolbar',
            items: me.getDockedItems()
        }];
        me.items = [bankForm];

        me.callParent(arguments);
    },

    getDockedItems: function() {
        var me = this,
            dockedItems = [ '->' ];

        var saveBankButton = Ext.create('Ext.button.Button', {
            text: 'Speichern',
            scope: me,
            cls: 'primary',
            handler:function () {
                me.fireEvent('addBank', me.record) ;
            }
        });
        dockedItems.push(saveBankButton);

        return dockedItems;
    },

});
//{/block}
