//{block name="backend/post_plugin_configuration/view/detail/contract_form"}
Ext.define('Shopware.apps.PostPluginConfiguration.view.detail.ContractForm', {
    extend:'Ext.form.Panel',
    layout: 'fit',
    cls: 'shopware-form',
    alias:'widget.post_plugin_contract-panel',
    columnWidth: 1,
    stateful: true,
    border: false,
    defaults: {
        anchor: '100%'
    },

    initComponent: function() {
        var me = this;
        me.items =  [
            me.createContainer()
        ];
        if (me.record) {
            me.store = me.contractStore
            me.store.load();
            me.store.load({
                callback: function () {
                    me.loadRecord(me.record);
                }
            });
        }
        me.callParent(arguments);
    },

    createContainer: function () {

        var container, me = this;
        container = Ext.create('Ext.container.Container', {
            layout: 'fit',
            border: false,
            items: me.createContractFormElements()
        });

        return container;
    },

    createContractFormElements:function () {
        var me = this;
        var leftContainer = Ext.create('Ext.form.FieldSet', {
            layout: 'column',
            anchor: '100%',
            align: 'stretch',
            title: 'Kennung:',

            defaults: {
                columnWidth: 0.25,
                margin: '10 0 10 10',
                labelWidth: 70,
		allowBlank: false
            },

            items: [
                {
                    xtype: 'textfield',
                    name: 'identifier',
                    fieldLabel: 'Kennung',
                    labelStyle: 'font-weight: 700;'
                },
                {
                    xtype: 'textfield',
                    name: 'license',
                    fieldLabel: 'ClientID',
                    labelStyle: 'font-weight: 700;'
                },
                {
                    xtype: 'textfield',
                    name: 'contractnumber',
                    fieldLabel: 'OrgUnitID',
                    labelStyle: 'font-weight: 700;',
                    margin: '10 0 0 20 0',
                },
                {
                    xtype: 'textfield',
                    name: 'unitGUID',
                    fieldLabel: 'OrgUnitGUID',
                    labelStyle: 'font-weight: 700;'
                }
            ]
        });

        return [leftContainer];
    },

});
//{/block}
