//{block name="backend/order/post_plugin_configuration/view/main/window"}
Ext.define('Shopware.apps.PostPluginConfiguration.view.main.Window', {
    extend: 'Enlight.app.Window',
    cls: Ext.baseCSSPrefix + 'post-plugin-configuration',
    title: 'Post-Labelcenter Plugin Einstellungen',
    alias: 'widget.post_plugin_configuration-main-window',
    stateId: 'post_plugin_configuration-main-window',
    minHeight: '100px',
    layout: 'fit',
    stateful : true,
    border: false,

    initComponent: function () {
        var me = this;
        me.items = me.createTabPanel();
        me.callParent(arguments);
    },

    createTabPanel: function() {
        var me = this;

        var contractList =  Ext.create('Shopware.apps.PostPluginConfiguration.view.list.Contract', {
            contractStore: me.contractStore
        });

        var contractTab = Ext.create('Ext.form.Panel', {
            title: 'Kennungen',
            border: false,
            items: [contractList]
        });


        var bankList =  Ext.create('Shopware.apps.PostPluginConfiguration.view.list.Bank', {
            bankStore: me.bankStore
        });

        var bankTab = Ext.create('Ext.form.Panel', {
            title: 'Bankdaten',
            border: false,
            items: [bankList]
        });


        var adressList =  Ext.create('Shopware.apps.PostPluginConfiguration.view.list.Address', {
            addressStore: me.addressStore,
            subShopStore: me.subShopStore,
            bankStore: me.bankStore,
        });

        var adressTab = Ext.create('Ext.form.Panel', {
            title: 'Adresse',
            border: false,
            items: [adressList]
        });

        return Ext.create('Ext.tab.Panel', {
            name: 'main-tab',
            border: false,
            items: [
                Ext.create('Shopware.apps.PostPluginConfiguration.view.detail.Configuration', {
                    configurationStore: me.configurationStore
                }),
                contractTab,
                bankTab,
                adressTab
            ]
        });
    }
});
//{/block}
